This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
Upgrade to ExtUtils-MakeMaker-6.36
authorSteve Peters <steve@fisharerojo.org>
Tue, 3 Jul 2007 13:51:08 +0000 (13:51 +0000)
committerSteve Peters <steve@fisharerojo.org>
Tue, 3 Jul 2007 13:51:08 +0000 (13:51 +0000)
p4raw-id: //depot/perl@31522

lib/ExtUtils/MakeMaker.pm
lib/ExtUtils/t/prereq.t

index c1923da..62327c8 100644 (file)
@@ -1,4 +1,4 @@
-# $Id: /mirror/svn.schwern.org/CPAN/ExtUtils-MakeMaker/trunk/lib/ExtUtils/MakeMaker.pm 32220 2007-07-02T03:54:00.548844Z schwern  $
+# $Id: /mirror/svn.schwern.org/CPAN/ExtUtils-MakeMaker/trunk/lib/ExtUtils/MakeMaker.pm 32261 2007-07-03T08:08:29.826721Z schwern  $
 package ExtUtils::MakeMaker;
 
 BEGIN {require 5.005_03;}
@@ -21,8 +21,8 @@ use vars qw(
 use vars qw($Revision);
 use strict;
 
-$VERSION = '6.35';
-($Revision) = q$Revision: 32220 $ =~ /Revision:\s+(\S+)/;
+$VERSION = '6.36';
+($Revision) = q$Revision: 32261 $ =~ /Revision:\s+(\S+)/;
 
 @ISA = qw(Exporter);
 @EXPORT = qw(&WriteMakefile &writeMakefile $Verbose &prompt);
@@ -2188,7 +2188,7 @@ MakeMaker object. The following lines will be parsed o.k.:
 
     $VERSION = '1.00';
     *VERSION = \'1.01';
-    ($VERSION) = q$Revision: 32220 $ =~ /(\d+)/g;
+    ($VERSION) = q$Revision: 32261 $ =~ /(\d+)/g;
     $FOO::VERSION = '1.10';
     *FOO::VERSION = \'1.11';
     our $VERSION = 1.2.3;       # new for perl5.6.0
index ae6ac84..e450f08 100644 (file)
@@ -58,7 +58,8 @@ ok( chdir 'Big-Dummy', "chdir'd to Big-Dummy" ) ||
         }
     );
     is $warnings, 
-    "Warning: prerequisite strict 99999 not found. We have $strict::VERSION.\n";
+    sprintf("Warning: prerequisite strict 99999 not found. We have %s.\n",
+            strict->VERSION);
 
     $warnings = '';
     WriteMakefile(
@@ -80,8 +81,8 @@ ok( chdir 'Big-Dummy', "chdir'd to Big-Dummy" ) ||
     );
     is $warnings, 
     "Warning: prerequisite I::Do::Not::Exist 0 not found.\n".
-    "Warning: prerequisite strict 99999 not found. We have $strict::VERSION.\n";
-
+    sprintf("Warning: prerequisite strict 99999 not found. We have %s.\n",
+            strict->VERSION);
     
     $warnings = '';
     eval {